Bug 858856 - server's resolv.conf should contain other DNS servers also
server's resolv.conf should contain other DNS servers also
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Identity_Management_Guide (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Deon Ballard
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 16:18 EDT by Dmitri Pal
Modified: 2014-07-29 16:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 16:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-09-19 16:18:20 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/3085

Problem statement:

Each server has only itself as a nameserver in the resolve.conf. This BZ is to add a note into the documentation that we recommend adding other servers manually to the resolve.conf as new replicas are deployed. 

More details:

IPA server installer creates /etc/resolv.conf file with line "nameserver 127.0.0.1". This file should contain IP adresses for other DNS servers also. This allows IPA server to run even if local named crashes.

See man resolv.conf and resolv.h for maximum number of nameserver lines.
Comment 1 Petr Spacek 2012-10-24 09:44:07 EDT
Documentation should mention maximum number of nameserver lines in `/etc/resolv.conf`. Please see `man resolv.conf`, paragraph `nameserver` around `MAXNS` constant:

Part of man page from my system:
{{{
       nameserver Name server IP address
              Internet address (in dot notation) of a name server that the resolver should query.  Up to MAXNS (currently  3,  see  <resolv.h>)  name  servers  may  be
              listed,  one  per  keyword.  If there are multiple servers, the resolver library queries them in the order listed.  If no nameserver entries are present,
              the default is to use the name server on the local machine.  (The algorithm used is to try a name server, and if the query times out, try the next, until
              out of name servers, then repeat trying all the name servers until a maximum number of retries are made.)
}}}
Comment 2 Petr Viktorin 2014-03-27 04:57:57 EDT
Upstream docs fix:
https://git.fedorahosted.org/cgit/freeipa-docs.git/commit/?id=a2f5d7ed8fe49e8ad1cfbf29ddfe563de235e8ac

thanks to Gabe Alford!
Comment 3 Deon Ballard 2014-07-29 16:22:54 EDT
Mass closure. These bugs were live in RHEL 6.5.

Note You need to log in before you can comment on or make changes to this bug.